#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.5
visibility:           public
id:                   persistent-test-2.0.3.5-2qd1CYMSQ308N8Deb2P4mn
key:                  persistent-test-2.0.3.5-2qd1CYMSQ308N8Deb2P4mn
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  c4101d4f9bab8cdd52815c25cf2adf3b
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/persistent-test-2.0.3.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/persistent-test-2.0.3.5
hs-libraries:         HSpersistent-test-2.0.3.5-2qd1CYMSQ308N8Deb2P4mn
depends:
    HUnit-1.6.2.0-6Qz5k8URKehKv59h9ZmD3M
    QuickCheck-2.14.2-5khM4PuTHWuGr7R0xX0xET
    aeson-1.5.5.1-6NWVvXrflAc8ojSfaztJWW base-4.14.1.0
    blaze-html-0.9.1.2-Hhla8wNlPJZ376l5s08ck bytestring-0.10.12.0
    conduit-1.3.4-Im314EPegaULFvbEcfi3YT containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.7-3tBaVsCoGjt8nFL0pOXhUi
    hspec-expectations-0.8.2-4T2sv1DBBhWKyVScectlCn
    monad-control-1.0.2.3-mg3xYidQQxD43vJ2d2ud4
    monad-logger-0.3.36-D0e89RbrtXTAg89P39WNc3 mtl-2.2.2
    path-pieces-0.2.1-8q2eB6sQVysEcd9HpZsL9B
    persistent-2.11.0.2-CCksokKkulX925mr6EWn95
    persistent-template-2.9.1.0-41ES2HYwIGtDy1BS27rZEv
    quickcheck-instances-0.3.25.2-KKsIUaaQy2ZEzNPUE9V2LE
    random-1.2.0-JTLC2c0pp0nLNcssukvhHY
    resourcet-1.2.4.2-2ekyREjGHPF2SHMD6OeBDa text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-3jSwWllhw6I9KozIqZAt6e
    unliftio-0.2.14-5es953KEYNxJN28MDqMdcb
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-48OepUjtvPcKuQlUwC19ed

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

